> For the complete documentation index, see [llms.txt](https://docs.decisionrules.io/doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decisionrules.io/doc/v1/rule-flow/warnings-and-errors.md).

# Rule States in Rule Flow

## Understand rule states in Rule Flow

To make it easier to work with rules in Rule Flow, the rules have colored borders.

![](/files/-Mj39iv3VzGdeW2uGJOc)

### Purple - Neutral state

The purple border has a rule if it is in a neutral state - it has no warnings or errors.

![](/files/-Mj3GZ07xudX4JaU-akL)

### Green - Active state

If the user works with the rule, ie has it clicked and sees its sidebar, the rule changes color to green.

![](/files/-Mj3Gs65qt_xB_Z89q7j)

### Yellow - Warning

If a rule has a warning, it will be demarcated a yellow border and an icon![](/files/-Mi_iiFVm1PXjK1N1tBh)will appear next to it.

![](/files/-Mj3FSuSjRFnc-LoyADv)

{% hint style="info" %}
When you point to the![](/files/-Mi_iiFVm1PXjK1N1tBh), warning information will be displayed.
{% endhint %}

### Red - Error

Errors are serious mistakes that prevent Rule Flow from being saved. A red border and an icon![](/files/-MiaUcsWKJfc75BFcqbT)appear next to a rule that contains errors.

![](/files/-Mj3FoSnqTlqxD4UukxW)

{% hint style="info" %}
When you point to the![](/files/-MiaUcsWKJfc75BFcqbT), errors information will be displayed.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.decisionrules.io/doc/v1/rule-flow/warnings-and-errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
